Get User

Get User
Get a user

Retrieve a user.

Request
URI
GET
https://api.example.local/v3/users/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the user, matching either a UAA user id or client id. A client id may not be a uuid.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns User of type(s) application/json
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "username": "string",
    "presentation_name": "string",
    "origin": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}
string
guid
Optional

Unique identifier for the user, matching either a UAA user id or client id. A client id may not be a uuid.

string As date-time As date-time
created_at
Optional

The ISO8601 compatible date and time when resource was created

string As date-time As date-time
updated_at
Optional

The ISO8601 compatible date and time when resource was last updated

string
username
Optional

The username of the user

string
presentation_name
Optional

The presentation name of the user

string
origin
Optional

The origin of the user

object
metadata
Optional

Metadata is a JSON object that contains information about a resource. It includes the GUID of the resource, the time the resource was created, the time the resource was last updated, and links to the resource. Metadata is included in the response body of a request to retrieve a resource.

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/users/{guid}